--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: setlocale
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sets the default/current locale. This method haves the strongest infulence. All of the Textdomains are set the new locale.
- !ruby/struct:SM::Flow::P 
  body: Note that you shouldn't use this for your own Libraries.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "locale: a locale string or Locale::Object"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Returns: a locale string"
  type: :BULLET
full_name: GetText#locale=
is_singleton: false
name: locale=
params: (locale)
visibility: public
